io.undertow.conduits

## Class AbstractFramedStreamSinkConduit.PooledBufferFrameCallback

- java.lang.Object
- - io.undertow.conduits.AbstractFramedStreamSinkConduit.PooledBufferFrameCallback

All Implemented Interfaces:
  AbstractFramedStreamSinkConduit.FrameCallBack

Enclosing class:
  AbstractFramedStreamSinkConduit

    protected static class AbstractFramedStreamSinkConduit.PooledBufferFrameCallback
    extends Object
    implements AbstractFramedStreamSinkConduit.FrameCallBack

### Constructor Summary

Constructors
Constructor and Description
`PooledBufferFrameCallback(PooledByteBuffer buffer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `done()`
`void` `failed(IOException e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PooledBufferFrameCallback

    public PooledBufferFrameCallback(PooledByteBuffer buffer)

### Method Detail

#### done

    public void done()

Specified by:
  `done` in interface `AbstractFramedStreamSinkConduit.FrameCallBack`

#### failed

    public void failed(IOException e)

Specified by:
  `failed` in interface `AbstractFramedStreamSinkConduit.FrameCallBack`